## org.eclipse.ocl.cst
Interface OCLExpressionCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Subinterfaces:
  BooleanLiteralExpCS, CallExpCS, CollectionLiteralExpCS, CollectionTypeCS, EnumLiteralExpCS, FeatureCallExpCS, IfExpCS, IntegerLiteralExpCS, InvalidLiteralExpCS, IterateExpCS, IteratorExpCS, LetExpCS, LiteralExpCS, LoopExpCS, MessageExpCS, NullLiteralExpCS, OperationCallExpCS, PathNameCS, PrimitiveLiteralExpCS, PrimitiveTypeCS, RealLiteralExpCS, SimpleNameCS, StateExpCS, StringLiteralExpCS, TupleLiteralExpCS, TupleTypeCS, TypeCS, UnlimitedNaturalLiteralExpCS, VariableExpCS

All Known Implementing Classes:
  BooleanLiteralExpCSImpl, CallExpCSImpl, CollectionLiteralExpCSImpl, CollectionTypeCSImpl, EnumLiteralExpCSImpl, FeatureCallExpCSImpl, IfExpCSImpl, IntegerLiteralExpCSImpl, InvalidLiteralExpCSImpl, IterateExpCSImpl, IteratorExpCSImpl, LetExpCSImpl, LiteralExpCSImpl, LoopExpCSImpl, MessageExpCSImpl, NullLiteralExpCSImpl, OCLExpressionCSImpl, OperationCallExpCSImpl, PathNameCSImpl, PrimitiveLiteralExpCSImpl, PrimitiveTypeCSImpl, RealLiteralExpCSImpl, SimpleNameCSImpl, StateExpCSImpl, StringLiteralExpCSImpl, TupleLiteralExpCSImpl, TupleTypeCSImpl, TypeCSImpl, UnlimitedNaturalLiteralExpCSImpl, VariableExpCSImpl

    public interface OCLExpressionCS

extends CSTNode

A representation of the model object 'OCL Expression CS'.

See Also:
  `CSTPackage.getOCLExpressionCS()`

Method Summary

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.